Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType xml-registryType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}xml-registryType

Model
  `<...>
  name?, notes?, document-builder-factory?, sax-parser-factory?, transformer-factory?, xml-parser-select-registry-entry*, xml-entity-spec-registry-entry*, when-to-cache?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  Configure the behavior of JAXP (Java API for XML Parsing) in the server.

  You configure this behavior by creating XML Registries that specify the default DOM and Sax factory implementation class, transformer factory implementation class, external entity resolution and caching.

  MBean: `XMLRegistryMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `document-builder-factory` optional The fully qualified name of the class that implements the DocumentBuilderFactory interface.
`string` | `sax-parser-factory` optional The fully qualified name of the class that implements the SAXParserFactory interface.
`string` | `transformer-factory` optional The fully qualified name of the class that implements the TransformerFactory interface.
`anyType` | `xml-parser-select-registry-entry` 0...∞ Provides a list of the set of ParserSelect registry entries.
`anyType` | `xml-entity-spec-registry-entry` 0...∞ Provides a list of EntitySpec registry entries.
`annonymous type derived from string` | `when-to-cache` optional Specifies when WebLogic Server should cache external entities that it retrieves from the Web.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1